Subject: bug#4843 closed by "Jan D." <[email-masked]> (Re: bug#4843: creating menus)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 02 Nov 2009 08:15:10 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4843: creating menus

It has been closed by "Jan D." <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact "Jan D." <[email-masked]> by
replying to this email.

-- 
4843: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4843
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4843: creating menus
From: "Jan D." <[email-masked]>
To: Daniel Carvalho <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 02 Nov 2009 09:08:02 +0100

On 2009-11-01 13:58, Daniel Carvalho wrote:
> 2009/11/1 Jan Djärv<[email-masked]>:

>> If indeed you are using Gtk+, it is due to the introduction of native
>> windows.
>> To see if this is the case, start emacs with
>> % GDK_NATIVE_WINDOWS=1 emacs
>> and try again.
>>
>
> If I do it that way, the problem is solved!
> thanks

Closing this report as I don't think there will be a new release in the 
22 branch.  The 23 branch have a fix for this, and the next released 23 
will handle this fine.

For Emacs 22, the workaround is to set GDK_NATIVE_WINDOWS=1 in the 
environment.

	Jan D.

Subject: creating menus
From: Daniel Carvalho <[email-masked]>
To: [email-masked]
Date: Sat, 31 Oct 2009 22:29:52 +0000

hi
when I recently upgraded to Ubuntu 9.10 the elisp code to create menus
stop working.

Consider example in http://xahlee.org/emacs/elisp_menu.html
It creates the menu "MyMenu", but the menu itens inside it don't show!

The emacs version didn't change: GNU Emacs 22.2.1

Anyone else had this problem? how to solve it?

;; Creating a new menu pane in the menu bar to the right of “Tools” menu
(define-key-after
  global-map
  [menu-bar mymenu]
  (cons "MyMenu" (make-sparse-keymap "hoot hoot"))
  'tools )

;; Creating a menu item, under the menu by the id “[menu-bar mymenu]”
(define-key
  global-map
  [menu-bar mymenu nl]
  '("Next Line" . next-line))

;; creating another menu item
(define-key
  global-map
  [menu-bar mymenu pl]
  '("Previous Line" . previous-line))

;; code to remove the whole menu panel
;; (global-unset-key [menu-bar mymenu])